summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--package/dnsmasq/Makefile2
-rw-r--r--package/dnsmasq/files/dnsmasq.init6
2 files changed, 4 insertions, 4 deletions
diff --git a/package/dnsmasq/Makefile b/package/dnsmasq/Makefile
index 852b126fc..977e10970 100644
--- a/package/dnsmasq/Makefile
+++ b/package/dnsmasq/Makefile
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
PKG_NAME:=dnsmasq
PKG_VERSION:=2.55
-PKG_RELEASE:=2
+PKG_RELEASE:=3
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=http://thekelleys.org.uk/dnsmasq
diff --git a/package/dnsmasq/files/dnsmasq.init b/package/dnsmasq/files/dnsmasq.init
index 49291a5c8..e2f35e8aa 100644
--- a/package/dnsmasq/files/dnsmasq.init
+++ b/package/dnsmasq/files/dnsmasq.init
@@ -23,8 +23,8 @@ append_bool() {
local option="$2"
local value="$3"
local _loctmp
- config_get_bool _loctmp "$section" "$option"
- [ "$_loctmp" -gt 0 ] && append args "$value"
+ config_get_bool _loctmp "$section" "$option" 0
+ [ $_loctmp -gt 0 ] && append args "$value"
}
append_parm() {
@@ -274,7 +274,7 @@ dhcp_add() {
#check for an already active dhcp server on the interface, unless 'force' is set
config_get_bool force "$cfg" force 0
- [ "$force" -gt 0 ] || {
+ [ $force -gt 0 ] || {
udhcpc -n -q -s /bin/true -t 1 -i $ifname >&- && return 0
}